<?php

// +---------------------------------------------------------------------------+
// | External Pages Geeklog Plugin 1.0                                         |
// +---------------------------------------------------------------------------+
// | index.php                                                                 |
// | Administration page.                                                      |
// |                                                                           |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2002 by the following authors:                              |
// |                                                                           |
// | Author:    Tom Willett      -    tomw@pigstye.net                         |
// | Constructed with the Universal Plugin                                     |
// | Copyright (C) 2002 by the following authors:                              |
// | Tom Willett                 -    tomw@pigstye.net                         |
// | Blaine Lang                 -    langmail@sympatico.ca                    |
// | The Universal Plugin is based on prior work by:                           |
// | Tony Bibbs                  -    tony@tonybibbs.com                       |
// +---------------------------------------------------------------------------+
// | Replace all {plugin} with the name of your plugin and you have a skeletal |
// | admin page.                                                               |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//

require_once('../../../lib-common.php');


// Only let admin users access this page
if (!SEC_hasRights('external.admin')) {
    // Someone is trying to illegally access this page
    COM_errorLog("Someone has tried to illegally access the external Admin page.  User id: {$_USER['uid']}, Username: {$_USER['username']}, IP: $REMOTE_ADDR",1);
    $display = COM_siteHeader();
    $display .= COM_startBlock($LANG_EX00['access_denied']);
    $display .= $LANG_EX00['access_denied_msg'];
    $display .= COM_endBlock();
    $display .= COM_siteFooter(true);
    echo $display;
    exit;
}
 
/**
* Main 
*/


$display = COM_siteHeader();
$T = new Template($_CONF['path'] . 'plugins/external/templates');
$T->set_file('admin', 'admin.thtml');
$T->set_block('admin','Newpage','APage');
$T->set_var('site_url',$_CONF['site_url']);
$T->set_var('site_admin_url', $_CONF['site_admin_url']);
$T->set_var('header', $LANG_EX00['externpages'] . ' ' . $LANG_EX00['admin']);
$T->set_var('plugin','external');
$T->set_var('addnew', $LANG_EX00['addnew']);
$T->set_var('adminhome', $LANG_EX00['adminhome']);
$T->set_var('pageno', $LANG_EX00['pageno']);
$T->set_var('pageurl', $LANG_EX00['pageurl']);
$recs = DB_query("SELECT * from {$_TABLES['external']}");
$numrecs = DB_numRows($recs);
for ($i=0; $i<$numrecs; $i++) {
    $A=DB_fetchArray($recs);
    $T->set_var('exid',$A['exid']);
    $T->set_var('info',$LANG_EX00['info']);
    if (preg_match("/^(http:\/\/)/i",$A['url']) == 1) {
        $T->set_var('page',$A['url']);
    } else {
        $T->set_var('page',$_CONF['site_url'] . '/' . $A['url']);
    }
    $T->set_var('title',$A['title']);
    $T->Parse('APage','Newpage',true);
}

$T->parse('output','admin');
$display .= $T->finish($T->get_var('output'));
$display .= COM_siteFooter(true);

echo $display;
?>
